Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class MapRpcServer

    java.lang.Object
      com.rabbitmq.client.RpcServer
          com.rabbitmq.client.MapRpcServer

    public class MapRpcServer

extends RpcServer

Subclass of RpcServer which uses AMQP wire-format encoded tables as requests and replies.

Constructor Summary
`MapRpcServer(Channel channel)`
`MapRpcServer(Channel channel, java.lang.String queueName)`

Method Summary
`static java.util.Map<java.lang.String,java.lang.Object>` | `decode(byte[] requestBody)`
`static byte[]` | `encode(java.util.Map<java.lang.String,java.lang.Object> reply)`
`byte[]` | `handleCall(byte[] requestBody, AMQP.BasicProperties replyProperties)` Overridden to delegate to handleMapCall.
`void` | `handleCast(byte[] requestBody)` Overridden to delegate to handleMapCast.
`java.util.Map<java.lang.String,java.lang.Object>` | `handleMapCall(java.util.Map<java.lang.String,java.lang.Object> request)` Default implementation - override in subclasses.
`java.util.Map<java.lang.String,java.lang.Object>` | `handleMapCall(java.util.Map<java.lang.String,java.lang.Object> request, AMQP.BasicProperties replyProperties)` Delegates to handleMapCall(Map).
`void` | `handleMapCast(java.util.Map<java.lang.String,java.lang.Object> requestBody)` Default implementation - override in subclasses.

Methods inherited from class com.rabbitmq.client.RpcServer
`close, getChannel, getQueueName, handleCall, handleCall, handleCast, handleCast, mainloop, processRequest, setupConsumer, terminateMainloop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapRpcServer

    public MapRpcServer(Channel channel)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### MapRpcServer

    public MapRpcServer(Channel channel,
                        java.lang.String queueName)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### handleCall

    public byte[] handleCall(byte[] requestBody,
                             AMQP.BasicProperties replyProperties)

  Overridden to delegate to handleMapCall.

  Overrides:
    `handleCall` in class `RpcServer`

### decode

    public static java.util.Map<java.lang.String,java.lang.Object> decode(byte[] requestBody)
                                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### encode

    public static byte[] encode(java.util.Map<java.lang.String,java.lang.Object> reply)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### handleMapCall

    public java.util.Map<java.lang.String,java.lang.Object> handleMapCall(java.util.Map<java.lang.String,java.lang.Object> request,
                                                                          AMQP.BasicProperties replyProperties)

  Delegates to handleMapCall(Map).

### handleMapCall

    public java.util.Map<java.lang.String,java.lang.Object> handleMapCall(java.util.Map<java.lang.String,java.lang.Object> request)

  Default implementation - override in subclasses. Returns the empty string.

### handleCast

    public void handleCast(byte[] requestBody)

  Overridden to delegate to handleMapCast.

  Overrides:
    `handleCast` in class `RpcServer`

### handleMapCast

    public void handleMapCast(java.util.Map<java.lang.String,java.lang.Object> requestBody)

  Default implementation - override in subclasses. Does nothing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD